﻿@model PROJETMODELE.Models.VML.TG.Utilisateurs

@{
    Layout = null;
}

<script src="~/Scripts/AjouterJS.js"></script>
<div id="formulaire" style="height: 400px; width: 700px">
    <div>Ajouter</div>
    <div class="forms">
        @using (Html.BeginForm())
        {
            @Html.ValidationSummary(true)
            @Html.AntiForgeryToken()
            <table>

                <tr>
                    <td>@Html.LabelFor(model => model.Nom)</td>
                    <td>@Html.EditorFor(model => model.Nom)</td>
                    <td>
                        @Html.LabelFor(model => model.Login)
                    </td>
                    <td>
                        @Html.EditorFor(model => model.Login)
                    </td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(model => model.Mail)</td>
                    <td>@Html.EditorFor(model => model.Mail)</td>
                    <td>@Html.LabelFor(model => model.ID_Caisse)</td>
                    <td>
                        @HTML_OUF.DropDownList("ID_Caisse", TempData["ID_Caisse"] as SelectList, "250")
                    </td>
                </tr>


            </table>
            @Html.HiddenFor(model => model.ancient)
            @Html.HiddenFor(model => model.profile)
            <table style="margin: 0 auto">

                <tr>
                    <td colspan="2">
                        <table>
                            <tr>
                                <td style="width: 250px">
                                    @Html.LabelFor(model => model.Code_Profile_Out)
                                </td>
                                <td></td>
                                <td style="width: 250px">
                                    @Html.LabelFor(model => model.Code_Profile_In)
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 250px">
                                    @Html.DropDownListFor(model => model.Code_Profile_Out, TempData["Profiles_Out_Item"] as SelectList, new { multiple = "multiple", style = "height:150px; width:250" })
                                </td>
                                <td style="padding-left: 13px;">
                                    <p>
                                        <button title="Ajouter" type="button" id="ajouter" class="btn btn-default oufbutton"><i class="ouf-arrow-right"></i></button>
                                    </p>
                                    <p>
                                        <button title="Retirer" type="button" id="Retirer" class="btn btn-default oufbutton"><i class="ouf-arrow-left"></i></button>
                                    </p>
                                </td>
                                <td style="width: 250px">
                                    @Html.DropDownListFor(model => model.Code_Profile_In, TempData["Profiles_In_Item"] as SelectList, new { multiple = "multiple", style = "height:150px; width:250" })
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>

            </table>
            <p>

                <button title="Valider" type="submit" id="jqxButton" class="btn btn-default oufbutton send"><i class="ouf-ok"></i>Valider</button>
                <button title="Annuler" type="button" id="jqxAnnuler" class="btn btn-default oufbutton fannul"><i class="ouf-cancel"></i>Annuler</button>

            </p>  

        }

    </div>
</div>
<script>
    $(document).ready(function () {

        $('#ajouter').on('click', function (e) {
            var t = document.getElementById('Code_Profile_Out').selectedIndex;
            if (t >= 0) {
                var l = new Option();
                l.value = document.getElementById('Code_Profile_Out').options[t].value;
                l.text = document.getElementById('Code_Profile_Out').options[t].text;
                document.getElementById("Code_Profile_In").options[document.getElementById('Code_Profile_In').length] = l;
                document.getElementById('Code_Profile_Out').options[t] = null;
            }
            else alert("Vous deviez choisir un profil");
            var chaine = "";
            var n = document.getElementById('Code_Profile_In').length, i = 0;
            for (i = 0; i < n; i++)
                chaine = chaine + document.getElementById('Code_Profile_In').options[i].value + ";";
            document.getElementById("profile").value = chaine;
        });

        $('#Retirer').on('click', function (e) {
            var t = document.getElementById('Code_Profile_In').selectedIndex;
            if (t >= 0) {
                var l = new Option();
                l.value = document.getElementById('Code_Profile_In').options[t].value;
                l.text = document.getElementById('Code_Profile_In').options[t].text;
                document.getElementById('Code_Profile_Out').options[document.getElementById('Code_Profile_Out').length] = l;
                document.getElementById('Code_Profile_In').options[t] = null;
            }
            else alert("Vous deviez choisir un profil");

            var chaine = "";
            var n = document.getElementById('Code_Profile_In').length, i = 0;
            for (i = 0; i < n; i++)
                chaine = chaine + document.getElementById('Code_Profile_In').options[i].value + ";";
            document.getElementById("profile").value = chaine;
        });
    });
    $('#formulaire').jqxValidator({
        rules: [
             { input: '#Login', message: 'le login ne peut pas être vide', action: 'keyup, blur', rule: 'required' },
             { input: '#Login', message: 'Le login doit contenir entre 1 et 50 caractères!', action: 'keyup, blur', rule: 'length=1,50' },
            { input: '#Nom', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            { input: '#Nom', message: 'Le nom doit contenir entre 1 et 50 caractères!', action: 'keyup, blur', rule: 'length=1,50' },
            { input: '#Mail', message: 'Le Téléphone doit contenir entre 1 et 50 caractères!', action: 'keyup, blur', rule: 'length=0,150' },
        ],
    });

    $("#Login").jqxInput({ placeHolder: "Login ", height: 25, width: 250, theme: "ui-redmond" });
    $("#Nom").jqxInput({ placeHolder: "Nom ...", height: 25, width: 250, theme: 'ui-redmond' });
    $("#Mail").jqxInput({ placeHolder: "Téléphone ...", height: 25, width: 250, theme: 'ui-redmond' });


    /*
    $("#sex").jqxDropDownList({ theme: "ui-redmond", width: '250' });
    $("#sex").jqxDropDownList({ dropDownHeight: 50 });
    $("#sex").jqxDropDownList('loadFromSelect', 'sexe');
    $("#sex").jqxDropDownList('selectedIndex', '0');
    $("#sex").on('select', function (event) {
        if (event.args) {
            var args = event.args;
            // select the item in the 'select' tag.
            var index = args.item.index;
            $("#sexe").val(args.item.value);
        }
    });
    */

</script>
<style>
    #ID_Grade, #ID_Localite, #sexe, #ID_Localite {
        visibility: hidden;
        display: none;
    }

    #Code_Profile_Out, #Code_Profile_In {
        width: 250px;
    }
</style>
